## swedish 1.3-2

=== Makefile ===
SHELL=/bin/bash
BINFILES:=svenska.datalista svenska.aff diverse/COPYING diverse/copyright diverse/swedish.html diverse/svenska.html diverse/Makefile
VERSION:=$(shell cat diverse/version)

include konfigfil

xjdatalistor=$(wildcard [A-Z]*.[jJ]/*.data)
xjordlistor=$(wildcard [A-Z]*.[jJ]/*.ord)
xndatalistor=$(wildcard [A-Z]*.[nN]/*.data)
xnordlistor=$(wildcard [A-Z]*.[nN]/*.ord)
ordlistor=$(wildcard [A-Z]*.[jn]/*[ad0])
jlistor:=$(sort $(basename $(xjdatalistor) $(xjordlistor)))
nlistor:=$(sort $(basename $(xndatalistor) $(xnordlistor)))
jdatalistor:=$(addsuffix .data,$(jlistor))
jordlistor:=$(addsuffix .ord,$(jlistor))
ndatalistor:=$(addsuffix .data,$(nlistor))
nordlistor:=$(addsuffix .ord,$(nlistor))
jsynclistor:=$(addsuffix .sync,$(jlistor))
nsynclistor:=$(addsuffix .sync,$(nlistor))

all: svenska.aff svenska.hash

svenska.hash: svenska.aff svenska.datalista
	buildhash svenska.datalista svenska.aff svenska.hash

svenska.aff:
	cat affixfil/head.code affixfil/suffix.code > svenska.aff
	-[ -f affixfil/suffix2.code ] && cat affixfil/suffix2.code >> svenska.aff
	-[ -f affixfil/sammans.code ] && cat affixfil/sammans.code >> svenska.aff
	-[ -f affixfil/prefix.code ] && cat affixfil/prefix.code >> svenska.aff
	-[ -f affixfil/prefix2.code ] && cat affixfil/prefix2.code >> svenska.aff

.PHONY: all uppdatera_affix

konfigfil:
	ispell -vv | grep LIBDIR > konfigfil

uppdatera_affix: allord
	rm -f $(xjdatalistor) $(xndatalistor) svenska.aff diverse/gtmp.aff
	$(MAKE) svenska.aff	

diverse/gtmp.aff:
	sed 's/compoundwords.*/compoundwords off/' < affixfil/head.code > diverse/gtmp.aff
	cat affixfil/suffix.code affixfil/fakesammans.code >> diverse/gtmp.aff
	chmod a-w diverse/gtmp.aff


svenska.datalista: svenska.aff goranj.data gorann.data
	< goranj.data sed 's/\/.*//' | sed 's/$$/\/S/' > goranJ.data
	cat goran[jJ].data | sort -f | icombine svenska.aff > gorana.data
	cat gorana.data gorann.data | sort -f > svenska.datalista
	rm goran[aJ].data

goranj.data: diverse/gtmp.aff $(jsynclistor)
	cat $(xjdatalistor) $(xjordlistor) | munchlist -l diverse/gtmp.aff -v > goranj.data

gorann.data: diverse/gtmp.aff $(nsynclistor)
	cat $(xndatalistor) $(xnordlistor) | munchlist -l diverse/gtmp.aff -v > gorann.data

svenska.ordlista:  $(jsynclistor) $(nsynclistor) diverse/gtmp.hash
	export LC_ALL=sv_SE ; \
	cat $(ordlistor) | ispell -d diverse/gtmp -e | \
	sed s/\ /$$'\\\n'/g | grep -v zqx | \
	perl -e 'use locale; print sort <>' | uniq > svenska.ordlista

diverse/gtmp.hash: diverse/gtmp.aff diverse/dummy.ord
	buildhash diverse/dummy.ord diverse/gtmp.aff diverse/gtmp.hash

.PHONY: allsync alldata allord

allsync: $(jsynclistor) $(nsynclistor)

alldata: $(addsuffix .d, $(jlistor) $(nlistor) )

allord: $(addsuffix .o, $(jlistor) $(nlistor) )

.PHONY: clean realclean distclean install bindist

install: svenska.hash svenska.aff
	install -o root -g root -m 0644 svenska.hash $(LIBDIR)/svenska.hash
	install -o root -g root -m 0644 svenska.aff $(LIBDIR)/svenska.aff

clean:
	rm -f svenska.datalista.stat svenska.datalista.cnt diverse/dummy.ord.stat diverse/dummy.ord.cnt *~ */*~

realclean: clean
	rm -f svenska.aff svenska.hash svenska.datalista goranj.data gorann.data diverse/gtmp.hash $(VERSION).tar.gz svenska.ordlista build

distclean: realclean alldata
	rm -f $(jordlistor) $(jsynclistor) $(nordlistor) $(nsynclistor) konfigfil diverse/gtmp.aff

bindist: $(BINFILES)
	rm -fr $(VERSION) $(VERSION).tar.gz
	mkdir $(VERSION)
	ln $(BINFILES) $(VERSION)
	tar -zcf $(VERSION).tar.gz $(VERSION)
	rm -fr $(VERSION)

%.sync: %.data %.ord
	@[ "$?" != "$^" ] || (echo "Bde $@ och $*.ord har ndrats - en av dem mste raderas. Stopp." ; exit 1 )
	[ "$?" == "$<" ] && $(MAKE) $*.d2o || $(MAKE) $*.o2d

%.sync: %.data
	touch $@

%.sync: %.ord
	touch $@

%.sync:
	@echo "Varken $*.ord eller $*.data existerar. Stopp."

%.o2d: %.ord diverse/gtmp.aff
	munchlist -l diverse/gtmp.aff -v $< > $*.data ; touch $*.sync

%.d2o: %.data diverse/gtmp.hash
	ispell -d diverse/gtmp -e < $< | sed s/\ /$$'\\\n'/g | sort -u > $*.ord ; touch $*.sync

%.o: %.ord
	-[ -f $*.data ] && [ ! -f $*.sync ] && ( echo "Filen $*.sync finns ej" ; exit 1 )
	-[ $*.data -nt $*.sync ] && $(MAKE) $*.sync

%.o: %.data
	$(MAKE) $*.d2o

%.d: %.data
	-[ -f $*.ord ] && [ ! -f $*.sync ] && ( echo "Filen $*.sync finns ej" ; exit 1 )
	-[ $*.ord -nt $*.sync ] && $(MAKE) $*.sync

%.d: %.ord
	$(MAKE) $*.o2d

=== debian/changelog ===
swedish (1.3-2) frozen unstable; urgency=low

  * New scripts by Charles Briscoe-Smith.
  * Sort the wordlist using Swedish sort order.

 -- Goran Andersson <goran_a@maths.lth.se>  Mon,  6 Apr 1998 13:08:14 +0200

swedish (1.3-1) unstable; urgency=low

  * New upstream source.

 -- Goran Andersson <goran_a@maths.lth.se>  Thu, 12 Mar 1998 17:27:39 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: swedish
Maintainer: Goran Andersson <goran_a@maths.lth.se>
Section: text
Priority: optional
Standards-Version: 2.4.0.0

Package: iswedish
Architecture: all
Depends: ispell
Provides: ispell-dictionary
Description: The Swedish dictionary for ispell.
 This is the Swedish dictionary, to be used with ispell
 to check and correct spelling in Swedish texts.
 The dictionary contains approximately 120,000 words.

Package: wswedish
Architecture: all
Provides: wordlist
Description: The swedish dictionary for /usr/dict.
 This is a list of 120,000 Swedish words and names, to be used
 for whatever purpose you may think of.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified by Goran Andersson <goran_a@maths.lth.se>

package=iswedish

build:
	$(checkdir)
	make
	make svenska.ordlista
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm `find . -name "*~"`
	-rm -rf debian/[iw]swedish debian/files* core

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/[iw]swedish
	install -d -m755 debian/iswedish/usr/lib/ispell
	install -d -m755 debian/wswedish/usr/dict
	install -d -m755 debian/wswedish/usr/man/man5
	install -m644 svenska.{aff,hash} debian/iswedish/usr/lib/ispell
	(cd debian/iswedish/usr/lib/ispell; ln -si svenska.aff swedish.aff ; \
		ln -si svenska.hash swedish.hash)
	install -m644 svenska.ordlista debian/wswedish/usr/dict/swedish
	install -m644 diverse/swedish.5.gz debian/wswedish/usr/man/man5
	install -d -m755 debian/iswedish/DEBIAN
	install -d -m755 debian/wswedish/DEBIAN
	install -m755 debian/iswedish.postinst debian/iswedish/DEBIAN/postinst
	install -m755 debian/iswedish.prerm debian/iswedish/DEBIAN/prerm
	install -m755 debian/wswedish.postinst debian/wswedish/DEBIAN/postinst
	install -m755 debian/wswedish.postrm debian/wswedish/DEBIAN/postrm
	install -m755 debian/wswedish.prerm debian/wswedish/DEBIAN/prerm
	install -d -m755 debian/iswedish/usr/doc/iswedish
	install -d -m755 debian/wswedish/usr/doc/wswedish
	install -m644 diverse/svenska.html debian/iswedish/usr/doc/iswedish
	install -m644 diverse/swedish.html debian/iswedish/usr/doc/iswedish
	install -m644 debian/changelog \
		debian/iswedish/usr/doc/iswedish/changelog.Debian
	install -m644 debian/changelog \
		debian/wswedish/usr/doc/wswedish/changelog.Debian
	gzip -9 `find debian/[iw]swedish/usr/doc -type f`
	install -m644 diverse/copyright debian/iswedish/usr/doc/iswedish
	install -m644 diverse/copyright debian/wswedish/usr/doc/wswedish
	chown -R root.root debian/[iw]swedish
	dpkg-gencontrol -piswedish -Pdebian/iswedish
	dpkg --build debian/iswedish
	dpkg-name -s .. debian/iswedish.deb
	dpkg-gencontrol -pwswedish -Pdebian/wswedish
	dpkg --build debian/wswedish
	dpkg-name -s .. debian/wswedish.deb

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules -a -d Adjektiv.j
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## swedish 1.4.2

=== debian/changelog ===
swedish (1.4.2) unstable; urgency=low

  * Spanish translation of the debconf template, thanks to Carlos Valdivia
    <valyag@hotpop.com> (closes: #117683).
  * Modularized templates.
  * Russian translation of template, thanks to Ilgiz Kalmetev
    <ilgiz@bashtelecom.ru> (closes: #137702).
  * Fixed typo in description (closes: #125509)
  * Partial sync with sol 1.3.7 (the wordlist from speling.org).

 -- Mikael Hedin <micce@debian.org>  Mon, 18 Mar 2002 17:44:59 +0100

swedish (1.4.1) unstable; urgency=low

  * Install /usr/share/dict/swedish mode 644.
  * Fixed typo in wswedish.template.

 -- Mikael Hedin <micce@debian.org>  Tue, 29 May 2001 09:06:09 +0200

swedish (1.4) unstable; urgency=low

  * Added german template (thanks Sebastian Feltel <sebastian@feltel.de>)
    (closes: #98394)
  * Reverted to use Gran Andersons list and make it a native Debian
    packet with source swedish.  It's a much more fancy way of keeping the
    wordlist, and also better!
  
  * Added some words from the ispell-sv list that I think are
    appropriate. 

 -- Mikael Hedin <micce@debian.org>  Mon, 28 May 2001 23:02:06 +0200

ispell-sv (1.3.2-2) unstable; urgency=low

  * Moved to /usr/share/* in last version (closes: #90420, #91702, #91509,
    #91091)
  * This uses the ispell-sv wordlist, a bit different from Gorans, but I
    will merge updates to ispell-sv eventually...
  * Using update-alternatives and debconf to set default dictionary
    (closes: #27956)
  * Corrected 'sekventiell' (closes: #46924)
  * Architecture: any in iswedish (closes: #76375, #76548)
  * Added swedish templates for debconf.
  * Most of the bugs were fixed in last version, but I didn't dare to
    close them because of the source change.  No complaints so far, so
    here we go.

 -- Mikael Hedin <micce@debian.org>  Mon, 21 May 2001 21:13:32 +0200

ispell-sv (1.3.2-1) unstable; urgency=low

  * New upstream.
  * New maintainer.
  * Possibly screwed up Gorans changes, and other things.  Will continue
    to investigate.  Please help with bug reports!
  * wswedish: Uses debconf.

 -- Mikael Hedin <micce@debian.org>  Mon,  7 May 2001 22:22:24 +0200

=== debian/control ===
Source: swedish
Section: text
Priority: optional
Maintainer: Mikael Hedin <micce@debian.org>
Build-Depends: debhelper (>> 3.0.0), ispell, perl
Standards-Version: 3.5.2

Package: iswedish
Architecture: any
Depends: ispell
Provides: ispell-dictionary
Description: The Swedish dictionary for ispell.
 This is the Swedish dictionary, to be used with ispell
 to check and correct spelling in Swedish texts.
 The dictionary contains approximately 120,000 words.

Package: wswedish
Architecture: all
Provides: wordlist
Depends: debconf
Description: The Swedish dictionary.
 This is a list of 120,000 Swedish words and names, to be used
 for whatever purpose you may think of.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) svenska.ordlista

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ispell-sv.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/iswedish
	install -m 644 svenska.ordlista $(CURDIR)/debian/wswedish/usr/share/dict/swedish

#	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## swedish 1.4.3

=== debian/changelog ===
swedish (1.4.3) unstable; urgency=low

  * Don't use - as a word constituent (related to bug #136620).
  * Chnage CD -> cd (according to datatermgruppen at KTH).
  * Acknowledge NMUs (closes: #164256, #164270).  Thanks to agmartin.
  * Update to new .config system (closes: #232165, #232178).
  
 -- Mikael Hedin <micce@debian.org>  Mon, 15 Mar 2004 21:45:46 +0100

swedish (1.4.2-0.2) unstable; urgency=low

  * Non-Maintainer Upload
  * New policy compliant package (closes: #164256, #164270)
  * Last minute changes fro mthe policy:
    - Lowered dictionaries-common dependency from 'Pre-depends' to 'Depends'.
    - Removed warnings about the experimental character of this package.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Oct 2002 14:09:57 +0200

swedish (1.4.2-0.1) unstable; urgency=low

  * Experimental package after the dictionaries policy proposal. Please
    see the policy document for details on the changes. 
    Micce, I changed the conflicts in dictionaries-common control file to
    (<=1.4.2). That way you can decide the new version number, be if 2.0.0
    as we spoke, or whatever else. I have put this pakage a NMU number 
    with debian revision even if the package is native to make that easier.
  * Removed old templates files for wswedish. All that work is currently 
    done by dictionaries-common itself. We may need some of the localized 
    templates, but since they will not be exactly the same, I prefer to
    restart from scratch.
  * Added a Pspell-Ispell entry to the iswedish.info-ispell file.

 -- Agustn Martn Domingo <agmartin@debian.org>  Mon, 10 Jun 2002 17:33:35 +0200

=== debian/control ===
Source: swedish
Section: text
Priority: optional
Maintainer: Mikael Hedin <micce@debian.org>
Build-Depends: debhelper (>> 3.0.0), ispell, perl, dictionaries-common-dev (>= 0.20)
Standards-Version: 3.5.2

Package: iswedish
Architecture: any
Depends: ispell, debconf, dictionaries-common(>= 0.20)
Suggests: wswedish
Provides: ispell-dictionary
Description: The Swedish dictionary for ispell
 This is the Swedish dictionary, to be used with ispell
 to check and correct spelling in Swedish texts.
 The dictionary contains approximately 120,000 words.

Package: wswedish
Architecture: all
Depends: debconf, dictionaries-common(>= 0.20)
Provides: wordlist
Description: The Swedish dictionary
 This is a list of 120,000 Swedish words and names, to be used
 for whatever purpose you may think of.

=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,7 @@
 	dh_installinfo -i
 #	dh_undocumented -i
 	dh_installchangelogs  -i
+	installdeb-wordlist -pwswedish # This calls internally dh_installdebconf
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
@@ -97,6 +98,7 @@
 	dh_installinfo -a
 #	dh_undocumented -a
 	dh_installchangelogs  -a
+	installdeb-ispell -piswedish # This calls internally dh_installdebconf
 	dh_strip -a
 	dh_link -a
 	dh_compress -a

## swedish 1.4.4

=== debian/changelog ===
swedish (1.4.4) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/control: changed debconf dependency to ${misc:Depends} (closes:
    #332108)
  * debian/changelog: remove obsolete editor stuff from the bottom
  * debian/copyright: updated address of the FSF
  * debian/changelog: converted to utf-8 encoding
  * debian/rules: bumped debhelper compatibility level to 4

 -- Andrew Pollock <apollock@debian.org>  Sun,  9 Apr 2006 13:47:30 -0700

=== debian/control ===
Source: swedish
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 3.0.0), ispell, perl, dictionaries-common-dev (>= 0.20)
Standards-Version: 3.5.2

Package: iswedish
Architecture: any
Depends: ispell, ${misc:Depends}, dictionaries-common(>= 0.20)
Suggests: wswedish
Provides: ispell-dictionary
Description: The Swedish dictionary for ispell
 This is the Swedish dictionary, to be used with ispell
 to check and correct spelling in Swedish texts.
 The dictionary contains approximately 120,000 words.

Package: wswedish
Architecture: all
Depends: ${misc:Depends}, dictionaries-common(>= 0.20)
Provides: wordlist
Description: The Swedish dictionary
 This is a list of 120,000 Swedish words and names, to be used
 for whatever purpose you may think of.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:

## swedish 1.4.5

=== Makefile ===
--- 
+++ 
@@ -77,8 +77,8 @@
 .PHONY: clean realclean distclean install bindist
 
 install: svenska.hash svenska.aff
-	install -o root -g root -m 0644 svenska.hash $(LIBDIR)/svenska.hash
-	install -o root -g root -m 0644 svenska.aff $(LIBDIR)/svenska.aff
+	install -o root -g root -m 0644 svenska.hash $(DESTDIR)/$(LIBDIR)/svenska.hash
+	install -o root -g root -m 0644 svenska.aff $(DESTDIR)/$(LIBDIR)/svenska.aff
 
 clean:
 	rm -f svenska.datalista.stat svenska.datalista.cnt diverse/dummy.ord.stat diverse/dummy.ord.cnt *~ */*~

=== diverse/Makefile ===
include konfigfil

all: svenska.hash

konfigfil:
	ispell -vv | grep LIBDIR > konfigfil

install: svenska.hash svenska.aff
	install -o root -g root -m 0644 svenska.hash $(LIBDIR)
	install -o root -g root -m 0644 svenska.aff $(LIBDIR)

svenska.hash: svenska.aff svenska.datalista
	buildhash svenska.datalista svenska.aff svenska.hash

clean:
	rm -f konfigfil svenska.datalista.stat svenska.hash svenska.datalista.cnt *~

=== debian/changelog ===
swedish (1.4.5-5) unstable; urgency=medium

  * QA upload.
  * patch Makefile for "Rules-Requires-Root: no" (Closes: #1089446)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 14:38:35 +0100

swedish (1.4.5-4) unstable; urgency=medium

  * QA upload.
  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Remove unknown Lintian override

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 28 Apr 2024 20:50:59 +0200

swedish (1.4.5-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #843755)

 -- Marcos Talau <talau@debian.org>  Wed, 09 Nov 2022 15:13:09 -0300

swedish (1.4.5-2.3) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:15:02 +0100

swedish (1.4.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-arch and build-indep targets. Closes: #648934, #822027.
  * Bump debhelper and standards versions.
  * Use C locale for sorting, to make the build reproducible (Alexis Bienvenüe).
    Closes: #827863.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Jul 2016 14:05:25 +0200

swedish (1.4.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on new ispell. This rebuild fixes an RC bug.
    Thanks to Svante Signell (Closes: #623070)

 -- Tobias Quathamer <toddy@debian.org>  Mon, 27 Feb 2012 23:43:25 +0100

swedish (1.4.5-2) unstable; urgency=low

  * New Maintainer (closes: #156532).
  * Remove README.Debian as it does not contain useful information anymore

 -- Jeremiah C. Foster <jeremiah@jeremiahfoster.com>  Mon, 25 Aug 2008 15:43:14 +0200

swedish (1.4.5-1) unstable; urgency=low

  * QA upload
  * Do no longer build as Debian native package. The new upstream
    version fixes a spelling error. Thanks to Martin Stigge for
    the patch. Closes: #186072
  * Use debhelper >= 5, add compat file
  * Convert copyright file to UTF-8 and add more information
  * Convert README.Debian to UTF-8
  * debian/control:
    - Change synopsis to better fit other dictionary packages
    - Update to Standards-Version 3.8.0
  * Clean up debian/rules, don't ignore errors from make distclean
  * Add an empty watch file saying that there's no upstream

 -- Tobias Quathamer <toddy@debian.org>  Thu, 31 Jul 2008 23:04:27 +0200

=== debian/control ===
Source: swedish
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dictionaries-common-dev (>= 0.20),
               ispell (>= 3.3.02),
               perl,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/swedish
Vcs-Git: https://salsa.debian.org/debian/swedish.git

Package: iswedish
Architecture: any
Depends: dictionaries-common (>= 0.20),
         ispell (>= 3.3.02),
         ${misc:Depends},
Suggests: wswedish,
Provides: ispell-dictionary,
Description: Swedish dictionary for ispell
 This is the Swedish dictionary, to be used with ispell
 to check and correct spelling in Swedish texts.
 The dictionary contains approximately 120,000 words.

Package: wswedish
Architecture: all
Depends: dictionaries-common (>= 0.20),
         ${misc:Depends},
Provides: wordlist,
Description: Swedish dictionary words for /usr/share/dict
 This is a list of 120,000 Swedish words and names, to be used
 for whatever purpose you may think of.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) svenska.ordlista
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/iswedish
	install -m 644 svenska.ordlista $(CURDIR)/debian/wswedish/usr/share/dict/swedish

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs  -i
	installdeb-wordlist -pwswedish # This calls internally dh_installdebconf
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs  -a
	installdeb-ispell -piswedish # This calls internally dh_installdebconf
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
